using Godot;
using System;

[GlobalClass]
public partial class InteractableObjectResource : Resource
{
	[Export] public string Name { get; set; } = "Object";
	[Export] public string Status { get; set; } = "Status";
	[Export(PropertyHint.MultilineText)] public string Description { get; set; } = "";

	[ExportCategory("ACTION")]
	[Export] public string Action = "Action";
	[Export(PropertyHint.MultilineText)] public string ActionDescription { get; set; } = "";
	[Export] public Godot.Collections.Array<InteractionActionResource> Costs { get; set; } = new();
	[Export] public Godot.Collections.Array<InteractionActionResource> Effects { get; set; } = new();
}
